Subject: Re: bug#14597: 24.3.50; Can't stop the program being debugged with gdb-mi

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 10 Sep 2020 15:43:59 +0200

Eli Zaretskii <[email-masked]> writes:

> Can you try this with a recent GDB?  AFAIR, it nowadays better
> separates the command file descriptor from the program's I/O
> descriptors, so perhaps the problem is fixed.
>
> Note that you need to type C-z/C-c C-z into the buffer where the
> program's I/O is redirected.

Ah, thanks, I was doing C-c C-z in the *gud-emacs* buffer and wondering
why nothing was happening.

Doing C-c C-z in the input/output buffer gives me

Thread 1 "emacs" received signal SIGTSTP, Stopped (user).

in the gud-emacs buffer, so I guess that this has been fixed now.

So I'm closing this bug report.  If there is still a problem, please
respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no